---
apiVersion: v1
kind: Namespace
metadata:
  name: demo-values-helm
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: demo-values-helm
  namespace: flux-system
spec:
  chart:
    spec:
      chart: demo-helm
      sourceRef:
        kind: HelmRepository
        name: demo-helm
      version: 0.4.0
  interval: 10m0s
  values:
    namespace: demo-values-helm
    replicaCount: 8
    ingress:
      annotations: {
        kubernetes.io/ingress.class: 'nginx',
        cert-manager.io/cluster-issuer: 'letsencrypt-production'
      }
      hosts:
        - host: demo-values-helm.ovh.yodamad.fr
          paths:
            - path: /
              pathType: Prefix
      tls:
        - secretName: nginx-demo-tls
          hosts:
          - demo-values-helm.ovh.yodamad.fr
